
Partial Class Example
    Inherits System.Web.UI.Page


    Sub SendMail()

        'Configure basic infomation for an e-mail message
        Dim FromName As String = txtFromName.Text
        Dim FromEmail As String = txtFromAddress.Text
        Dim Subject As String = "Sample Email with attachment"
        Dim ToName As String = txtToName.Text
        Dim ToEmail As String = txtToAddress.Text
        Dim FileName As String = Server.MapPath("./G-Shock_Solar_manual.pdf")

        'Create the SmtpClient object  (assumes using localhost)
        Dim smtp As New System.Net.Mail.SmtpClient(IIf(txtSMTP.Text = String.Empty, "127.0.0.1", txtSMTP.Text))

        'Create the MailMessage object 
        Dim msg As New System.Net.Mail.MailMessage()

        'Assign from address 
        msg.From = New System.Net.Mail.MailAddress(FromEmail, FromName)

        'Assign to address
        msg.To.Add(New System.Net.Mail.MailAddress(ToEmail, ToName))

        'assign subject, and body
        msg.Subject = Subject
        msg.Body = "This is a test message with an attachment "

        msg.Attachments.Add(New System.Net.Mail.Attachment(Filename))

        'Send the message with SmtpClient

        smtp.Send(msg)

    End Sub



    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) _
    Handles Button1.Click
        Dim b As Button = sender
        Dim msg As New System.Net.Mail.MailMessage()
        Dim smtp As New System.Net.Mail.SmtpClient(IIf(txtSMTP.Text = String.Empty, "127.0.0.1", txtSMTP.Text))
        Dim fromadx As New System.Net.Mail.MailAddress(txtFromAddress.Text, "Term Paper Mailer")
        Dim toadx As New System.Net.Mail.MailAddress(txtToAddress.Text, "Professor Plumb")

        msg.From = fromadx
        msg.To.Add(toadx)
        msg.Subject = txtSubject.Text
        msg.Body = txtBody.Text
        If FileUpload1.HasFile = True Then
            Dim fu As FileUpload = FileUpload1
            Dim ct As String = fu.PostedFile.ContentType


            'Get file name from fully qualified file name
            Dim fn As String = fu.PostedFile.FileName
            Dim c As Integer = fn.LastIndexOf("\")
            fn = fn.Substring(c + 1)

            msg.Attachments.Add(New System.Net.Mail.Attachment(fu.PostedFile.InputStream, fn, ct))
        End If

        smtp.Send(msg)

        msg.Dispose()
        b.Text = "Term paper sent."
    End Sub

    Protected Sub Button2_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim b As Button = sender
        SendMail()
        b.Text = "Message Sent (Click to send again)"

    End Sub
End Class
